# ZoneManagementTrait.CreateTwoDCartesianZoneCommand

# ZoneManagementTrait.CreateTwoDCartesianZoneCommand


```
object ZoneManagementTrait.CreateTwoDCartesianZoneCommand : CommandDescriptor
```

<br />

*** ** * ** ***

Creates and stores a two-dimensional Cartesian zone.

| See also |
|---|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ZoneManagementCommands#createTwoDCartesianZone(com.google.home.matter.standard.ZoneManagementTrait.TwoDCartesianZoneStruct)` | Use this command from the `trait(ZoneManagement)` method. |

## Summary

| ### Nested types |
|---|
| `class https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ZoneManagementTrait.CreateTwoDCartesianZoneCommand.Request : https://developers.home.google.com/reference/kotlin/com/google/home/ClusterStruct` The request payload for the CreateTwoDCartesianZone command. |
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ZoneManagementTrait.CreateTwoDCartesianZoneCommand.Request.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's request fields. |
| `class https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ZoneManagementTrait.CreateTwoDCartesianZoneCommand.Response : https://developers.home.google.com/reference/kotlin/com/google/home/ClusterStruct` The result of the `CreateTwoDCartesianZone` command. |
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ZoneManagementTrait.CreateTwoDCartesianZoneCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/Field?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ZoneManagementTrait.CreateTwoDCartesianZoneCommand#getCommandRequestFieldByName(kotlin.String)(name: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` |

| ### Public properties |
|---|---|
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ZoneManagementTrait.CreateTwoDCartesianZoneCommand#commandId()` Unique id corresponding to the command. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/ZoneManagementTrait.CreateTwoDCartesianZoneCommand#commandName()` Human-friendly name of the command. |

## Public functions

### getCommandRequestFieldByName

```
@HomeExperimentalGenericApi
open fun getCommandRequestFieldByName(name: String): Field?
```

## Public properties

### commandId

```
open val commandId: String
```

Unique id corresponding to the command.

### commandName

```
open val commandName: String
```

Human-friendly name of the command.